Prepare a launch on the AdStellar Launch page for a person to review, edit and launch there. Puts images and videos from Assets (sizes of the same creative become one ad), optionally existing Meta ad sets of the ad account and shared copy, into a new launch and returns its URL plus what is still missing before it can launch. Does NOT launch anything: nothing is written to Meta and nothing is spent, and the ads start paused. It cannot create campaigns or ad sets (use build_campaign to build a new campaign). Requires an active subscription and the Launch page enabled for the team.
curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/prepare_launch_page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"adAccountId": "<string>",
"assetIds": [
"<string>"
],
"name": "<string>",
"adSetIds": [
"<string>"
],
"primaryTexts": [
"<string>"
],
"headlines": [
"<string>"
],
"description": "<string>",
"cta": "<string>",
"linkUrl": "<string>",
"urlTags": "<string>",
"displayLink": "<string>",
"pageId": "<string>",
"instagramAccountId": "<string>",
"leadFormId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/prepare_launch_page"
payload = {
"adAccountId": "<string>",
"assetIds": ["<string>"],
"name": "<string>",
"adSetIds": ["<string>"],
"primaryTexts": ["<string>"],
"headlines": ["<string>"],
"description": "<string>",
"cta": "<string>",
"linkUrl": "<string>",
"urlTags": "<string>",
"displayLink": "<string>",
"pageId": "<string>",
"instagramAccountId": "<string>",
"leadFormId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
adAccountId: '<string>',
assetIds: ['<string>'],
name: '<string>',
adSetIds: ['<string>'],
primaryTexts: ['<string>'],
headlines: ['<string>'],
description: '<string>',
cta: '<string>',
linkUrl: '<string>',
urlTags: '<string>',
displayLink: '<string>',
pageId: '<string>',
instagramAccountId: '<string>',
leadFormId: '<string>',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.adstellar.ai/api/v1/tools/prepare_launch_page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adstellar.ai/api/v1/tools/prepare_launch_page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'adAccountId' => '<string>',
'assetIds' => [
'<string>'
],
'name' => '<string>',
'adSetIds' => [
'<string>'
],
'primaryTexts' => [
'<string>'
],
'headlines' => [
'<string>'
],
'description' => '<string>',
'cta' => '<string>',
'linkUrl' => '<string>',
'urlTags' => '<string>',
'displayLink' => '<string>',
'pageId' => '<string>',
'instagramAccountId' => '<string>',
'leadFormId' => '<string>',
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.adstellar.ai/api/v1/tools/prepare_launch_page"
payload := strings.NewReader("{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.adstellar.ai/api/v1/tools/prepare_launch_page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adstellar.ai/api/v1/tools/prepare_launch_page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyAPI Reference
Prepare a launch on the AdStellar Launch page for a person to review, edit and launch there. Puts images and videos from Assets (sizes of the same creative become one ad), optionally existing Meta ad sets of the ad account and shared copy, into a new launch and returns its URL plus what is still missing before it can launch. Does NOT launch anything: nothing is written to Meta and nothing is spent, and the ads start paused. It cannot create campaigns or ad sets (use build_campaign to build a new campaign). Requires an active subscription and the Launch page enabled for the team.
Prepare a launch on the AdStellar Launch page for a person to review, edit and launch there. Puts images and videos from Assets (sizes of the same creative become one ad), optionally existing Meta ad sets of the ad account and shared copy, into a new launch and returns its URL plus what is still missing before it can launch. Does NOT launch anything: nothing is written to Meta and nothing is spent, and the ads start paused. It cannot create campaigns or ad sets (use build_campaign to build a new campaign). Requires an active subscription and the Launch page enabled for the team.
POST
/
tools
/
prepare_launch_page
Prepare a launch on the AdStellar Launch page for a person to review, edit and launch there. Puts images and videos from Assets (sizes of the same creative become one ad), optionally existing Meta ad sets of the ad account and shared copy, into a new launch and returns its URL plus what is still missing before it can launch. Does NOT launch anything: nothing is written to Meta and nothing is spent, and the ads start paused. It cannot create campaigns or ad sets (use build_campaign to build a new campaign). Requires an active subscription and the Launch page enabled for the team.
curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/prepare_launch_page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"adAccountId": "<string>",
"assetIds": [
"<string>"
],
"name": "<string>",
"adSetIds": [
"<string>"
],
"primaryTexts": [
"<string>"
],
"headlines": [
"<string>"
],
"description": "<string>",
"cta": "<string>",
"linkUrl": "<string>",
"urlTags": "<string>",
"displayLink": "<string>",
"pageId": "<string>",
"instagramAccountId": "<string>",
"leadFormId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/prepare_launch_page"
payload = {
"adAccountId": "<string>",
"assetIds": ["<string>"],
"name": "<string>",
"adSetIds": ["<string>"],
"primaryTexts": ["<string>"],
"headlines": ["<string>"],
"description": "<string>",
"cta": "<string>",
"linkUrl": "<string>",
"urlTags": "<string>",
"displayLink": "<string>",
"pageId": "<string>",
"instagramAccountId": "<string>",
"leadFormId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
adAccountId: '<string>',
assetIds: ['<string>'],
name: '<string>',
adSetIds: ['<string>'],
primaryTexts: ['<string>'],
headlines: ['<string>'],
description: '<string>',
cta: '<string>',
linkUrl: '<string>',
urlTags: '<string>',
displayLink: '<string>',
pageId: '<string>',
instagramAccountId: '<string>',
leadFormId: '<string>',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.adstellar.ai/api/v1/tools/prepare_launch_page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adstellar.ai/api/v1/tools/prepare_launch_page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'adAccountId' => '<string>',
'assetIds' => [
'<string>'
],
'name' => '<string>',
'adSetIds' => [
'<string>'
],
'primaryTexts' => [
'<string>'
],
'headlines' => [
'<string>'
],
'description' => '<string>',
'cta' => '<string>',
'linkUrl' => '<string>',
'urlTags' => '<string>',
'displayLink' => '<string>',
'pageId' => '<string>',
'instagramAccountId' => '<string>',
'leadFormId' => '<string>',
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.adstellar.ai/api/v1/tools/prepare_launch_page"
payload := strings.NewReader("{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.adstellar.ai/api/v1/tools/prepare_launch_page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adstellar.ai/api/v1/tools/prepare_launch_page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"adAccountId\": \"<string>\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"adSetIds\": [\n \"<string>\"\n ],\n \"primaryTexts\": [\n \"<string>\"\n ],\n \"headlines\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"cta\": \"<string>\",\n \"linkUrl\": \"<string>\",\n \"urlTags\": \"<string>\",\n \"displayLink\": \"<string>\",\n \"pageId\": \"<string>\",\n \"instagramAccountId\": \"<string>\",\n \"leadFormId\": \"<string>\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyBody
application/json
Response
Tool result